Subject: Re: bug#66878: 29.1.90; change of default toolkit at build time
From: "Jay Berkenbilt" <[email-masked]>
To: "Eli Zaretskii" <[email-masked]>
Cc: [email-masked]
Date: Wed, 01 Nov 2023 14:20:21 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry for the noise -- I'm closing this.

I am not able to reproduce this anymore. I must have made some mistake
in my original build. Starting from scratch and just running
configure, I get a gtk build now. I must have done the original build without
all the dependency libraries installed or with some other damage to my
system. Between the first and second builds, I had rerun my ansible playbook
one time, and I also had done an apt-get dist-upgrade. No matter though --
clearly this was user error, so I apologize for the distraction.

On Wed, Nov 1, 2023, at 8:26 AM, Eli Zaretskii wrote:
> > Date: Wed, 01 Nov 2023 07:02:13 -0400
> > From: "Jay Berkenbilt" <[email-masked]>
> > 
> > To build emacs pretests on my XUbuntu systems over the years, I run
> > `apt build-dep emacs` to install the dependencies, and then just
> > ./configure --prefix=/usr/local/emacs-<version>. This is how I built
> > emacs-29.1 (on the same system) and emacs-29.1.90. In the past, I have
> > not had to specify any additional options to configure for emacs to
> > chose gtk. For 29.1.90, I had to explicit pass `--with-x-toolkit=gtk`
> > for this to work.
> > 
> > This is an excerpt from what M-x report-emacs-bug says on my 29.1 emacs:
> > 
> > -----
> > In GNU Emacs 29.1 (build 1, aarch64-unknown-linux-gnu, GTK+ Version
> >  3.24.37, cairo version 1.16.0) of 2023-08-08 built on jblin
> > Windowing system distributor 'The X.Org Foundation', version 11.0.12101007
> > System Description: Ubuntu 23.04
> > 
> > Configured using:
> >  'configure --prefix=/usr/local/emacs-29.1'
> > -----
> > 
> > Below, you can find the text as created by M-x report-emacs-bug for
> > the 21.9.90 build. I have subsequently rebuilt 29.1.90 with the
> > `--with-x-toolkit=gtk` option and now have the gtk+ version that I am
> > accustomed to (with readable fonts, etc.).
> 
> Please show the full config.log file of the "configure" run without
> the --with-x-toolkit=gtk option, which decides to build without GTK.
> 
> FWIW, there was no change in the configure.ac file between Emacs 29.1
> and 29.1.90, so it's hard to look for the culprit without some hint,
> which the config.log file should provide.
> 
> It is also possible that the change is not due to Emacs, but to some
> recent change in your system's configuration.  If you configure Emacs
> 29.1 with your current system, does it still produce a GTK build?
> 
> Thanks.
>